import 'dart:async';

import 'package:flutter/services.dart';

class CashGlPlugin {
  static const MethodChannel _channel =
      const MethodChannel('com.cash_gl.cash_gl_plugin');

  Future<String> payWithMpurse(String amount, String txnId, String mpQueryId,
      String partnerId, String createTime, String payerVa,
      {code = 1}) async {
    var arguments = Map();
    arguments['amount'] = amount;
    arguments['txnId'] = txnId;
    arguments['mpQueryId'] = mpQueryId;
    arguments['partnerId'] = partnerId;
    arguments['createTime'] = createTime;
    arguments['payerVa'] = payerVa;
    arguments['code'] = code;
    final String result =
        await _channel.invokeMethod('payWithMpurse', arguments); //2
    print('payWithMpurse ' + result);
    return result;
  }
}
